# Poco::Zip

# class SkipCallback

Library: Zip
Package: Zip
Header: Poco/Zip/SkipCallback.h

## Description

A SkipCallback simply skips over the data

## Inheritance

Direct Base Classes: ParseCallback

All Base Classes: ParseCallback

## Member Summary

Member Functions: handleZipEntry

Inherited Functions: handleZipEntry

## Constructors

### SkipCallback

SkipCallback();

Creates the SkipCallback.

## Destructor

### ~SkipCallback

virtual ~SkipCallback();

Destroys the SkipCallback.

## Member Functions

### handleZipEntry

bool handleZipEntry(
std::istream & zipStream,
const ZipLocalFileHeader & hdr
);

See also: Poco::Zip::ParseCallback::handleZipEntry()